StructurePairAligner (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.align.StructurePairAligner class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align
Class StructurePairAligner

    java.lang.Object
      org.biojava.bio.structure.align.StructurePairAligner

    public class StructurePairAligner

extends Object

Constructor Summary
`StructurePairAligner()`

Method Summary
`void` | `align(Atom[] ca1, Atom[] ca2, StrucAligParameters params)` calculate the actual protein structure superimposition.
`void` | `align(Structure s1, Structure s2)`
`void` | `align(Structure s1, Structure s2, StrucAligParameters params)`
`AlternativeAlignment[]` | `getAlignments()` return the alternative alignments that can be found for the two structures
`Matrix` | `getDistMat()` return the difference of distance matrix between the two structures
`FragmentPair[]` | `getFragmentPairs()` get the results of step 1 - the FragmentPairs used for seeding the alignment
`StrucAligParameters` | `getParams()` get the parameters.
`static void` | `main(String[] args)` example usage of this class
`void` | `setFragmentPairs(FragmentPair[] fragPairs)`
`void` | `setParams(StrucAligParameters params)` set the parameters to be used for the algorithm

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructurePairAligner

    public StructurePairAligner()

Method Detail

### main

    public static void main(String[] args)

  example usage of this class

  Parameters:
    `args` -

### getFragmentPairs

    public FragmentPair[] getFragmentPairs()

  get the results of step 1 - the FragmentPairs used for seeding the alignment

  Returns:
    a FragmentPair[] array

### setFragmentPairs

    public void setFragmentPairs(FragmentPair[] fragPairs)

### getAlignments

    public AlternativeAlignment[] getAlignments()

  return the alternative alignments that can be found for the two structures

  Returns:
    AlternativeAlignment[] array

### getDistMat

    public Matrix getDistMat()

  return the difference of distance matrix between the two structures

  Returns:
    a Matrix

### getParams

    public StrucAligParameters getParams()

  get the parameters.

  Returns:
    the Parameters.

### setParams

    public void setParams(StrucAligParameters params)

  set the parameters to be used for the algorithm

  Parameters:
    `params` - the Parameter object

### align

    public void align(Structure s1,
                      Structure s2)
               throws StructureException

  Throws:
    `StructureException`

### align

    public void align(Structure s1,
                      Structure s2,
                      StrucAligParameters params)
               throws StructureException

  Throws:
    `StructureException`

### align

    public void align(Atom[] ca1,
                      Atom[] ca2,
                      StrucAligParameters params)
               throws StructureException

  calculate the actual protein structure superimposition.

  Parameters:
    `ca1` - set of Atoms of structure 1
    `ca2` - set of Atoms of structure 2
    `params` - the parameters to use for the alignment
  Throws:
    `StructureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD